import asyncio

from v6d0auth.run_app import run_app

from v6d1tokens.app import get_app
from v6d1tokens.tdb import TDB


async def main():
    tdb = TDB()
    app = get_app(tdb)
    async with tdb.db:
        await run_app(app)


if __name__ == '__main__':
    asyncio.run(main())
